-include $(STAGINGDIR)/components.config

ifdef CONFIG_SAH_LIB_MFG_SECURE_MFG_SUPPORT
    LIBS += -lssl -lcrypto
else ifdef CONFIG_SAH_LIB_MFG_SECURE_MFG_KERNEL_KEYRING_SUPPORT
	LIBS += -lssl -lcrypto -lkcapi -lkeyutils
else ifdef CONFIG_SAH_LIB_MFG_GLOBAL_SIGNATURE
    LIBS += -lcrypto
endif

all: libmfg.pc

libmfg.pc: libmfg.pc.m4
	m4 -D LIBS="$(LIBS)" $< > $@

clean:
	rm -f libmfg.pc

.PHONY: all clean